@mixin app-unit-details-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);

   

  .txtuppercase {
    text-transform:uppercase
  }

  .unit-details {
    margin-top: 5x !important;
    display: flex;
    flex-direction: column;
    padding: 1px;
    background-color: white;
  
    
        .unit-details-small-box {
          width: 100%;
        //  margin-right: 10px;
        .banner-outline {
          display: flex;
          background-color: white;
          border: 2px solid mat-color($primary, 100);
          border-radius: 5px;
          padding: 10px;
          margin-bottom: 10px;
          font-size: 0.9em;
        }
        .second-header-filter {
          display: flex;
          background-color: white;
          border: 2px solid mat-color($primary, 100);
          border-radius: 5px;
          padding: 10px 10px;
          margin-bottom: 10px;
          font-size: 0.9em;
  
          span {
            display: flex;
            flex: auto;
            margin-right: 5px;
          }
          
        }
  
        .tad-validations {
          color: red;
        }

          
          .unit-edit-container{
        	width: 98%;
           // margin-right: 10px;
            margin-left: 10px;
            margin-bottom: 10px;
            padding: 2px;
            border: 2px solid mat-color($primary, 100);
            border-radius: 5px;
            font-size: 0.9em;
          .unit-label {
            flex-direction: row-reverse!important;
            align-self: center;
            flex: 1 1 0;
            width: 0;
          }
          .unit-field {
            align-self: center;
            flex: 1 1 0;
            width: 0;
            padding-left:10px;
            padding-top:5px;
           // border-style: solid;
          }
          .unit-select-field {
           
            padding-left:10px;
            padding-top:5px;
            padding-bottom: 0.4em;
            padding-right:10px;
            height: 70px;
           // border-style: solid;
          }
          .mat-form-field-wrapper {
            padding-bottom: 0.4em;
          }
          .unit-button-right-class {
           
            padding-left:10px;
            padding-bottom: 0.4em;
           
          }
          .foot-notes {
            text-align: left;

            .color-grade {
              padding: 1px 20px;
              margin: 10px;
              line-height: 30px;
              background-color: sandybrown;
              border-radius: 10px;
            }
          }
        
          
          .unit-button-left-class {
            flex-direction: row-reverse!important;
          
            padding-left:10px;
            padding-bottom: 0.4em;
                  
          }
          .table-filters-header {
						width: 100%;
						background-color: white;
						border: 1px solid #eaf0fb;
						.table-top-icons {
							mat-icon {
								padding: 5px;
							}
							mat-icon:hover {
								cursor: pointer;
								color: mat-color($warn);
							}
						}
					}
        }
        }
        
      }
    }
  
